Subject: Re: Bug? Bad permissions in $PATH breaks Git aliases

From: Johannes Sixt <[email-masked]>
Date: Tue, 27 Mar 2012 08:14:21 +0200

Am 3/27/2012 1:48, schrieb James Pickens:
> I'm not sure if this should be considered a bug or not, but I've noticed that
> when my $PATH contains an inaccessible directory, Git fails to execute aliases.
> ...
> I lean towards calling it a bug, since my shell doesn't seem to care if there
> are inaccessible directories in my $PATH.  It just ignores them, and I think Git
> ought to do the same.

Git is not a shell. And I'm sure it is not the only program that has this
issue. "Don't do it, then."

Git's implementation depends on the system's execvp behavior. As it
stands, current implementations of execvp path lookup and of popular
shells' path lookup differ in this respect. Bad luck. Don't check the
sanity of your PATH by testing how your shell looks up executables.

-- Hannes